/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/conf.c(3)

NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/conf.c - Configuration handling (including XML parsing).

SYNOPSIS

#include 'config.h'
#include <assert.h>
#include <string.h>
#include <expat.h>
#include <discover/discover.h>
#include <discover/discover-conf.h>
#include <discover/discover-xml.h>
#include <discover/load-url.h>
#include <discover/url-xml.h>
#include <discover/utils.h>

  Defines
#define dirent direct
#define NAMLEN(d) (d)->d_namlen

  Enumerations
enum state { START, BUSSCAN, DATA_SOURCES }
enum scan_flag { SCAN_NEVER, SCAN_DEFAULT }

  Functions
discover_bus_map_t * _real_discover_conf_get_bus_map (discover_bus_t bus, discover_error_t *status)
discover_bus_map_t * _real_discover_conf_get_bus_map_by_name (char *name, discover_error_t *status)
void discover_conf_load (discover_error_t *status)
int discover_conf_name_to_bus (char *name, discover_error_t *status)
discover_bus_map_t * discover_conf_get_full_bus_map (discover_error_t *status)
discover_bus_map_t * discover_conf_get_bus_map_by_name (char *name, discover_error_t *status)
discover_bus_map_t * discover_conf_get_bus_map (discover_bus_t bus, discover_error_t *status)
void discover_conf_insert_url (char *url, discover_error_t *status)
void discover_conf_append_url (char *url, discover_error_t *status)
discover_xml_url_t * discover_conf_get_urls (discover_error_t *status)
void discover_conf_free (void)
char * discover_conf_get_bus_name (discover_bus_t bus)
char * discover_conf_get_filetype_name (discover_filetype_t filetype)

Detailed Description

Configuration handling (including XML parsing). Configuration-related data is handled here. This file is responsible for loading and parsing the XML data read from the configuration file. This file also holds the routines that are responsible for altering the URL list as requested by the caller.

Definition in file conf.c.

Enumeration Type Documentation

  enum scan_flag

Define the values for a scannable bus.

Definition at line 93 of file conf.c.

  enum state

Describe the current state within the XML structure.

Definition at line 90 of file conf.c.

Function Documentation

  discover_bus_map_t* _real_discover_conf_get_bus_map (discover_bus_t bus, discover_error_t * status)

Function that loads the bus map

The 'real' get_bus_map functions don't call conf_load(), which is important to avoid infinite loops.

Definition at line 154 of file conf.c.

References BUS_COUNT, discover_error::code, and DISCOVER_EBUSNOTFOUND.

Referenced by _real_discover_conf_get_bus_map_by_name().

  discover_bus_map_t* _real_discover_conf_get_bus_map_by_name (char * name, discover_error_t * status)

Internal function that really loads the bus map

Definition at line 168 of file conf.c.

References _real_discover_conf_get_bus_map(), discover_error::code, and discover_conf_name_to_bus().

Referenced by discover_conf_get_bus_map_by_name().

Author

Generated automatically by Doxygen for discover from the source code.